WRWelshRugbyPicsWelsh sport captured
Recent Years Print orders FAQs Contact
Recent Years Print orders FAQs Contact
Recent/January 2024/27 Jan 2024

RGC v Llandovery

8 photographs Alan Skeates/Huw Evans Agency Saturday
Prints from £8 Order prints
270124 - RGC v Llandovery - Indigo Group Premiership - Sam Earl Jones of RGC is tackled by Aaron Warren of Llandovery RFC 001
CDF_270124_RGC_v_Llandovery_01.JPG · Alan Skeates/Huw Evans Agency270124 - RGC v Llandovery - Indigo Group Premiership - Sam Earl Jones of RGC is tackled by Aaron Warren of Llandovery RFC
270124 - RGC v Llandovery - Indigo Group Premiership - Lee Rees of Llandovery RFC passes the ball from the ruck 002
CDF_270124_RGC_v_Llandovery_02.JPG · Alan Skeates/Huw Evans Agency270124 - RGC v Llandovery - Indigo Group Premiership - Lee Rees of Llandovery RFC passes the ball from the ruck
270124 - RGC v Llandovery - Indigo Group Premiership - Dan Owen of RGC is tackled by Jordan Evans of Llandovery RFC 003
CDF_270124_RGC_v_Llandovery_03.JPG · Alan Skeates/Huw Evans Agency270124 - RGC v Llandovery - Indigo Group Premiership - Dan Owen of RGC is tackled by Jordan Evans of Llandovery RFC
270124 - RGC v Llandovery - Indigo Group Premiership - Chris Long of Llandovery RFC goes up for the ball in the line out 004
CDF_270124_RGC_v_Llandovery_04.JPG · Alan Skeates/Huw Evans Agency270124 - RGC v Llandovery - Indigo Group Premiership - Chris Long of Llandovery RFC goes up for the ball in the line out
270124 - RGC v Llandovery - Indigo Group Premiership - Sam Stoddard of RGC is tackled by Stuart Worall of Llandovery RFC 005
CDF_270124_RGC_v_Llandovery_05.JPG · Alan Skeates/Huw Evans Agency270124 - RGC v Llandovery - Indigo Group Premiership - Sam Stoddard of RGC is tackled by Stuart Worall of Llandovery RFC
270124 - RGC v Llandovery - Indigo Group Premiership - Jordan Evans of Llandovery RFC goes up for the ball in the line out 006
CDF_270124_RGC_v_Llandovery_06.JPG · Alan Skeates/Huw Evans Agency270124 - RGC v Llandovery - Indigo Group Premiership - Jordan Evans of Llandovery RFC goes up for the ball in the line out
270124 - RGC v Llandovery - Indigo Group Premiership - Sam Stoddard of RGC is tackled by Harry Doel of Llandovery RFC 007
CDF_270124_RGC_v_Llandovery_07.JPG · Alan Skeates/Huw Evans Agency270124 - RGC v Llandovery - Indigo Group Premiership - Sam Stoddard of RGC is tackled by Harry Doel of Llandovery RFC
270124 - RGC v Llandovery - Indigo Group Premiership - Welwyn Jones of RGC is tackled by Brian Watkins of Llandovery RFC 008
CDF_270124_RGC_v_Llandovery_08.JPG · Alan Skeates/Huw Evans Agency270124 - RGC v Llandovery - Indigo Group Premiership - Welwyn Jones of RGC is tackled by Brian Watkins of Llandovery RFC

More from around this date

Sat 27 JanCardiff 38-23 Bridgend Sat 27 JanPontypridd 29-26 Pontypool Sun 28 JanNewport County 2-4 Manchester United Fri 26 JanWales Seniors train against U20s Fri 26 JanWales Rugby Press Conference Fri 26 JanWales Rugby Training Mon 29 JanCallum Sheedy Mon 29 JanWales Rugby Training
RGC v Llandovery · 27 Jan 2024
Buy a print
© 2026 WelshRugbyPics A Huw Evans Agency site Welsh sport captured